@import url('https://fonts.googleapis.com/css2?family=Fredoka+One&display=swap');


input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}


body {

  background-color: #f2f2f2;
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}


.navbar {
  background-color: #000000;
  color: white !important;
}

.navbar:hover {
  color: rgb(23, 211, 64) !important ;
}

#nav-dropdown {

  background-color: #481500;
  color: white;

}

.nav-dropdown-item {

  background-color: white;
}

.navbar-toggler-icon {

  background-color: #de2a48;

}

#brand {

  font-family: 'Fredoka One', cursive;
  color: white;
  font-size: 45px;

}


.carousel-control-next,
.carousel-control-prev {
    filter: invert(100%);
    opacity: 0;
}

#register-box {
  background-color: white ;
  margin: 50px;
  padding: 50px;
}

.form-box {
  background-color: white;
}

.form-item {
  margin: 15px;
  background-color: white;
}

.form-label {
  background-color: white;
}

.sign-button {
  background-color: white;
  margin: 15px;
  padding-top: 15px;
  display: flex;
  justify-content: left;
  align-items: center;
}

.btn-custom {

  background-color: #eb967a;
  border-radius: 0;
  color: white;
  display: block;
  width: 100%;

}

.btn-custom:active {
  outline:  none !important;

}

.btn-custom:hover {
  background-color: #f2f2f2;
  color:  black;

}

/*------SIGN IN------*/

#signin-box {
  background-color: white ;
  margin-top: 30px;
  padding: 50px;
}

.sign-header {
  text-align: center;
  vertical-align: middle;
  margin: 10px;
  padding: 5px;
  font-size: 30px;
  
}

.signin-to-reg {
  text-align: center;
  padding-top: 10px;

}

.signin-to-reg > a {
  text-decoration: none;

}

/*----------------------*/

#sign-section {
  vertical-align: middle;
  margin-top: 10%;
  margin-bottom: 10%;
}

.productCard {

  min-height: 100%;
  margin-top: 10px;
  margin-bottom: 10px;
  padding-top: 10px;
  border-radius: 5px;
  box-shadow: 8px 17px 63px -29px rgba(0,0,0,0.84);
}

/*------PRODUCTS-PAGE-------*/

.page-heading {
  background-color: #eb967a;
  color: white;
  width: 180px;
  height: 40px;
  margin-top: 50px;
  border-radius: 50px;
  text-align: center;
  font-size: 25px;
  margin-left: 20px;
  margin-bottom: 35px;
  font-family: 'Fredoka One', cursive;

}

.cart-page-heading {
  background-color: #eb967a;
  color: white;
  width: 180px;
  height: 40px;
  border-radius: 50px;
  text-align: center;
  font-size: 25px;
  margin-bottom: 15px;
  font-family: 'Fredoka One', cursive;
  align-items: center;
}

#productsGallery {

  margin: 5px;
}

#productColumn {

  margin-bottom: 30px;
}

.productPrice {
    margin-left: 15px;
}

.detailsBtn {
    color: white;
    background-color: #7b858e;
    display: block;
    width: 100%;
    border-color: #7b858e;
    border-radius: 0;
    padding: 5px;
}

.details {
  margin: 10px;
  padding: 5px;
}

#viewProduct {
  padding-top: 10px;
  padding-bottom: 10px;
}

#view-product-section {
  vertical-align: middle;
  margin-top: 10%;
  margin-bottom: 10%;
}

#product-details-link {
  text-decoration: none;
  color: #7b858e;
}

#product-details-link:hover {
  color: black;
}

.create-product-section {
  vertical-align: middle;
}

#create-product-box {
  background-color: white ;
  margin: 10px;
  padding: 30px;
}

/*-------ADMIN DASHBOARD TABLE---------*/

.products-list {
  font-size: 12px;
  text-align: center;
  vertical-align: 60px;
  margin-top: 50px;
 

}

.table-container {
  margin: 10px;
}

.btn-container {
  margin: 5%;
  padding-top: 2%;
  padding-bottom: 2%;
}

/*---------Products Action Buttons----------*/

.archive-btn {
  width: 60px;
  font-size: 12px;
  text-align: center;
  background-color: #7c7c7c;
  border: #7c7c7c;
  margin-right: 10px;
  padding: 5px;

 
}

.archive-btn:hover {
  background-color: #a3a0a0;
  border: none;
 
}

.archive-btn:focus {
  background-color: #7c7c7c;
  border: none;
  box-shadow: none;
 
}

.activate-btn {
  width: 60px;
  font-size: 12px;
  text-align: center;
  background-color: #5fdd9d;
  border: none;
  margin-right: 10px;
  padding: 5px;

}

.activate-btn:hover {
  background-color: #44c784;
  border: #44c784;

}

.activate-btn:focus {
  background-color: #44c784;
  border: #44c784;
  box-shadow: none;

}

.edit-btn {
  width: 60px;
  font-size: 12px;
  text-align: center;
  background-color: #f6b561;
  border: #f7a000;
  margin-right: 10px;
 
}

.edit-btn:hover {
  background-color: #ffb52e;
  border: #f7a000;

}

.edit-btn:focus {
  background-color: #f7a000;
  border: #f7a000;
  box-shadow: none;

}

.delete-btn {
  width: 60px;
  font-size: 12px;
  text-align: center;
  background-color: #ff7b7c;
  border: #dc143b;
 
}

.delete-btn:hover {
  background-color: #ff4444;
  border: #dc143b;

}

.delete-btn:focus {
  background-color: #dc143b;
  border: #dc143b;
  box-shadow: none;

}

/**/

.back-arrow {
  padding: 10px;
  margin-left: 5px;
}

.single-product-card {
  min-height: 100%;
  padding-left: 30px;
  padding-right: 30px;
  padding-top: 25px;
  padding-bottom: 35px;
  margin: 10px;
  border-radius: 5px;
  box-shadow: 8px 17px 63px -29px rgba(0,0,0,0.84);
}

.add-to-cart-btn {
  background-color: #eb967a;
  border: #7b858e;
}

.add-to-cart-btn:hover {
  background-color: #f1bba9;
  border: none;

}

.add-to-cart-btn:disabled {
  background-color: #f1bba9;
  border: none;

}

.add-to-cart-btn:focus {
  background-color: #eb967a;
  box-shadow: none;

}

.next-arrow  {
  margin-right: 15px;
  padding-bottom: 20px;
}


.quantity-num {
  display: inline-block;
  width: 50px;
  text-align: center;
}

.quantity-btn {
  border-radius: 5px;
  width: 40px;
  height: 100%;
  background-color: #eb967a;
  border: #7b858e;
  font-size: 18px;
}

.quantity-btn:hover {
  background-color: #f1bba9;
  border: none;

}

.quantity-btn:focus {
  background-color: #eb967a;
  box-shadow: none;

}

.quantity-btn:disabled {
  background-color: #eb967a;
  box-shadow: none;

}

#cartbtn {
 margin-right: 20px;
}

.product-title {
  background-color: #f1bba9;
}

.product-price {
  margin: 0;
  padding: 0;
  display: inline-block;
  vertical-align: middle;
  line-height: normal;

}

.cart-item {

  margin-top: 10px;
  margin-bottom: 10px;
  padding-top: 10px;
  padding-bottom: 10px;
}

.cart {
  margin: 40px;
  padding: 30px;
  box-shadow: 8px 17px 63px -29px rgba(0,0,0,0.84);
}

.product-in-cart {
  margin-top: 10px;
  margin-bottom: 10px;
  padding: 5px;
}

/*----CART BUTTON-----*/
.remove-item-btn {
  width: 25px;
  height: 25px;
  font-size: 12px;
  text-align: center;
  background-color: #ff7b7c;
  border: #dc143b;
  margin: 0;
  padding: 0;
 
 
}

.remove-item-btn:hover {
  background-color: #ff4444;
  border: #dc143b;

}

.remove-item-btn:focus {
  background-color: #dc143b;
  border: #dc143b;
  box-shadow: none;

}

.remove-item {
  display: flex;
  justify-content: flex-end;
  margin-right: 3px;
}

.check-out-btn {

  width: 100%;
  font-size: 15px;
  text-align: center;
  background-color: #eb967a;
  border: #dc143b;
  border-radius: 0;

}

.check-out-btn:active {
   border-color: none;

}

.check-out-btn:hover {
  background-color: #f1bba9;
  border-color: #eb967a;
}

.check-out-btn:disabled {
  background-color: #f1bba9;
  border-color: #eb967a;
}

.cart-msg {
  text-align: center;
  color: red;
}

.checkout-page-heading {
  background-color: #eb967a;
  color: white;
  width: 250px;
  height: 40px;
  border-radius: 50px;
  text-align: center;
  font-size: 25px;
  margin-bottom: 15px;
  font-family: 'Fredoka One', cursive;
  align-items: center;
}

.payment-right {
  font-size: 14px;
  text-align: right;
  margin-right: 2px;
}

.payment-left {
  text-indent: 4px;
  font-size: 14px;
  text-align: left;
}

.payment-details {
  margin-bottom: 30px;
  margin-top: 20px;
}

.check-out-form {
  margin-top: 3px;
  margin-bottom: 3px;

}

.address-form {
  font-size: 13px;
}

.modal-view {
  font-size: 13px;
}

.modal-view-left {
  font-size: 13px;
  text-align: left;
}

.modal-view-right {
  font-size: 13px;
  text-align: right;
}

.my-orders-list {
  font-size: 12px;
  text-align: left;
  vertical-align: 60px;
  margin-top: 50px;
 
}

.carousel-item {
  height: 650px;
  margin-top: 35px;
  
}

.purchases-heading {
  background-color: #eb967a;
  color: white;
  width: 180px;
  height: 40px;
  border-radius: 50px;
  text-align: center;
  font-size: 25px;
  margin-bottom: 0;
  padding: 0;
  font-family: 'Fredoka One', cursive;
  align-items: center;
}

.product-description {
  font-size: 13px;
  text-align: justify;
}

.product-price-stocks {
  font-size: 12.5px;
}

.order-fulfilled{
  text-align: right;
  color: green;
  font-size: 12px;
}

.order-pending{
  text-align: right;
  color: red;
  font-size: 12px;
}

